package com.ruoyi.bst.model.mapper;

import java.util.List;
import com.ruoyi.bst.model.domain.Model;
import com.ruoyi.bst.model.domain.ModelVO;
import com.ruoyi.bst.model.domain.ModelQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 型号列表Mapper接口
 *
 * @author ruoyi
 * @date 2025-04-23
 */
public interface ModelMapper
{
    /**
     * 查询型号列表
     *
     * @param modelId 型号列表主键
     * @return 型号列表
     */
    ModelVO selectModelByModelId(Long modelId);

    /**
     * 查询型号列表列表
     *
     * @param query 型号列表
     * @return 型号列表集合
     */
    List<ModelVO> selectModelList(@Param("query")ModelQuery query);

    /**
     * 新增型号列表
     *
     * @param model 型号列表
     * @return 结果
     */
    int insertModel(Model model);

    /**
     * 批量新增型号列表
     */
    int batchInsert(@Param("list") List<? extends Model> list);

    /**
     * 批量修改型号列表
     */
    int batchUpdate(@Param("list") List<? extends Model> list);

    /**
     * 修改型号列表
     *
     * @param model 型号列表
     * @return 结果
     */
    public int updateModel(@Param("data") Model model);

    /**
     * 删除型号列表
     *
     * @param modelId 型号列表主键
     * @return 结果
     */
    int deleteModelByModelId(Long modelId);

    /**
     * 批量删除型号列表
     *
     * @param modelIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteModelByModelIds(Long[] modelIds);

    int logicDel(@Param("ids") List<Long> ids);
}
